| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::DirectionalGaussianBlurFilterContentsTest Class Reference
Inheritance diagram for impeller::testing::DirectionalGaussianBlurFilterContentsTest:

## Public Member Functions
void | SetupMinimalMockContext ()
Public Member Functions inherited from impeller::EntityPlayground
| EntityPlayground ()
| ~EntityPlayground ()
void | SetTypographerContext (std::shared_ptr< TypographerContext > typographer_context)
bool | OpenPlaygroundHere (Entity entity)
bool | OpenPlaygroundHere (EntityPass &entity_pass)
bool | OpenPlaygroundHere (EntityPlaygroundCallback callback)
std::shared_ptr< ContentContext > | GetContentContext () const
Public Member Functions inherited from impeller::PlaygroundTest
| PlaygroundTest ()
virtual | ~PlaygroundTest ()
void | SetUp () override
void | TearDown () override
PlaygroundBackend | GetBackend () const
std::unique_ptr< fml::Mapping > | OpenAssetAsMapping (std::string asset_name) const override
RuntimeStage::Map | OpenAssetAsRuntimeStage (const char *asset_name) const
std::string | GetWindowTitle () const override
bool | BackendSupportsFragmentProgram () const
Public Member Functions inherited from impeller::Playground
| Playground (PlaygroundSwitches switches)
virtual | ~Playground ()
void | SetupContext (PlaygroundBackend backend)
void | SetupWindow ()
void | TeardownWindow ()
Point | GetCursorPosition () const
ISize | GetWindowSize () const
Point | GetContentScale () const
Scalar | GetSecondsElapsed () const
| Get the amount of time elapsed from the start of the playground's execution. More...
std::shared_ptr< Context > | GetContext () const
bool | OpenPlaygroundHere (const Renderer::RenderCallback &render_callback)
bool | OpenPlaygroundHere (SinglePassCallback pass_callback)
std::shared_ptr< Texture > | CreateTextureForFixture (const char *fixture_name, bool enable_mipmapping=false) const
std::shared_ptr< Texture > | CreateTextureCubeForFixture (std::array< const char *, 6 > fixture_names) const
fml::Status | SetCapabilities (const std::shared_ptr< Capabilities > &capabilities)
bool | WillRenderSomething () const

## Additional Inherited Members
Public Types inherited from impeller::EntityPlayground
using | EntityPlaygroundCallback = std::function< bool(ContentContext &context, RenderPass &pass)>
Public Types inherited from impeller::Playground
using | SinglePassCallback = std::function< bool(RenderPass &pass)>
Static Public Member Functions inherited from impeller::Playground
static bool | ShouldOpenNewPlaygrounds ()
static std::shared_ptr< CompressedImage > | LoadFixtureImageCompressed (std::shared_ptr< fml::Mapping > mapping)
static std::optional< DecompressedImage > | DecodeImageRGBA (const std::shared_ptr< CompressedImage > &compressed)
static std::shared_ptr< Texture > | CreateTextureForMapping (const std::shared_ptr< Context > &context, std::shared_ptr< fml::Mapping > mapping, bool enable_mipmapping=false)
static bool | SupportsBackend (PlaygroundBackend backend)
Protected Member Functions inherited from impeller::Playground
void | SetWindowSize (ISize size)
Protected Attributes inherited from impeller::Playground
const PlaygroundSwitches | switches_

## Detailed Description

Definition at line 27 of file directional_gaussian_blur_filter_contents_unittests.cc.

## Member Function Documentation

## ◆ SetupMinimalMockContext()

void impeller::testing::DirectionalGaussianBlurFilterContentsTest::SetupMinimalMockContext | ( |  | ) |
| inline

Definition at line 30 of file directional_gaussian_blur_filter_contents_unittests.cc.

30 {
31 // This mocking code was removed since it wasn't strictly needed yet. If it
32 // is needed you can find it here:
33 // https://gist.github.com/gaaclarke/c2f6bf5fc6ecb10678da03789abc5843.
34 }

The documentation for this class was generated from the following file:

- impeller/entity/contents/filters/directional_gaussian_blur_filter_contents_unittests.cc